\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::side_of_oriented_sphere()
Global Kernel Functions

##

See Also
  `CGAL::side_of_bounded_sphere()`

## Functions
template<typename Kernel >
Oriented_side | CGAL::side_of_oriented_sphere (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const CGAL::Point_3< Kernel > &s, const CGAL::Point_3< Kernel > &test)
| returns the relative position of point `test` to the oriented sphere defined by `p`, `q`, `r` and `s`. More...

## Function Documentation

template<typename Kernel >

Oriented_side CGAL::side_of_oriented_sphere | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r,
|  | const CGAL::Point_3< Kernel > & | s,
|  | const CGAL::Point_3< Kernel > & | test
| ) |  |

returns the relative position of point `test` to the oriented sphere defined by `p`, `q`, `r` and `s`.

The order of the points `p`, `q`, `r`, and `s` is important, since it determines the orientation of the implicitly constructed sphere. If the points `p`, `q`, `r` and `s` are positive oriented, positive side is the bounded interior of the sphere.

In case of degeneracies, `CGAL::ON_ORIENTED_BOUNDARY` is returned if all points are coplanar. Otherwise, there is a cyclic permutation of the five points that puts four non coplanar points first, it is used to answer the predicate: e.g. `CGAL::side_of_oriented_sphere(q, r, s, test, p)` is returned if `q`, `r`, `s`, and `test` are non coplanar.

`#include <CGAL/Kernel/global_functions.h>`